### Hierarchy

- LevelBase
  - LevelForOverride

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addChildElement
- addParagraphProperty
- addRunProperty
- allCaps
- bold
- center
- color
- delete
- doubleStrike
- font
- indent
- italics
- justified
- keepLines
- keepNext
- left
- leftTabStop
- maxRightTabStop
- prepForXml
- right
- setSuffix
- size
- smallCaps
- spacing
- strike
- subScript
- superScript
- thematicBreak
- underline

## Constructors

### constructor

- new LevelForOverride(level: number, start?: undefined | number, numberFormat?: undefined | string, levelText?: undefined | string, lvlJc?: undefined | string): LevelForOverride

- Inherited from LevelBase.constructor

  Overrides XmlComponent.constructor

  - Defined in file/numbering/level.ts:93

  #### Parameters

  - ##### level: number

  - ##### Optional start: undefined | number

  - ##### Optional numberFormat: undefined | string

  - ##### Optional levelText: undefined | string

  - ##### Optional lvlJc: undefined | string

  #### Returns LevelForOverride

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addParagraphProperty

- addParagraphProperty(property: XmlComponent): Level

- Inherited from LevelBase.addParagraphProperty

  - Defined in file/numbering/level.ts:129

  #### Parameters

  - ##### property: XmlComponent

  #### Returns Level

### addRunProperty

- addRunProperty(property: XmlComponent): Level

- Inherited from LevelBase.addRunProperty

  - Defined in file/numbering/level.ts:134

  #### Parameters

  - ##### property: XmlComponent

  #### Returns Level

### allCaps

- allCaps(): Level

- Inherited from LevelBase.allCaps

  - Defined in file/numbering/level.ts:161

  #### Returns Level

### bold

- bold(): Level

- Inherited from LevelBase.bold

  - Defined in file/numbering/level.ts:146

  #### Returns Level

### center

- center(): Level

- Inherited from LevelBase.center

  - Defined in file/numbering/level.ts:203

  #### Returns Level

### color

- color(color: string): Level

- Inherited from LevelBase.color

  - Defined in file/numbering/level.ts:191

  #### Parameters

  - ##### color: string

  #### Returns Level

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### doubleStrike

- doubleStrike(): Level

- Inherited from LevelBase.doubleStrike

  - Defined in file/numbering/level.ts:171

  #### Returns Level

### font

- font(fontName: string): Level

- Inherited from LevelBase.font

  - Defined in file/numbering/level.ts:196

  #### Parameters

  - ##### fontName: string

  #### Returns Level

### indent

- indent(attrs: object): Level

- Inherited from LevelBase.indent

  - Defined in file/numbering/level.ts:238

  #### Parameters

  - ##### attrs: object

  #### Returns Level

### italics

- italics(): Level

- Inherited from LevelBase.italics

  - Defined in file/numbering/level.ts:151

  #### Returns Level

### justified

- justified(): Level

- Inherited from LevelBase.justified

  - Defined in file/numbering/level.ts:218

  #### Returns Level

### keepLines

- keepLines(): Level

- Inherited from LevelBase.keepLines

  - Defined in file/numbering/level.ts:253

  #### Returns Level

### keepNext

- keepNext(): Level

- Inherited from LevelBase.keepNext

  - Defined in file/numbering/level.ts:248

  #### Returns Level

### left

- left(): Level

- Inherited from LevelBase.left

  - Defined in file/numbering/level.ts:208

  #### Returns Level

### leftTabStop

- leftTabStop(position: number): Level

- Inherited from LevelBase.leftTabStop

  - Defined in file/numbering/level.ts:233

  #### Parameters

  - ##### position: number

  #### Returns Level

### maxRightTabStop

- maxRightTabStop(): Level

- Inherited from LevelBase.maxRightTabStop

  - Defined in file/numbering/level.ts:228

  #### Returns Level

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

### right

- right(): Level

- Inherited from LevelBase.right

  - Defined in file/numbering/level.ts:213

  #### Returns Level

### setSuffix

- setSuffix(value: LevelSuffix): LevelBase

- Inherited from LevelBase.setSuffix

  - Defined in file/numbering/level.ts:124

  #### Parameters

  - ##### value: LevelSuffix

  #### Returns LevelBase

### size

- size(twips: number): Level

- Inherited from LevelBase.size

  - Defined in file/numbering/level.ts:141

  #### Parameters

  - ##### twips: number

  #### Returns Level

### smallCaps

- smallCaps(): Level

- Inherited from LevelBase.smallCaps

  - Defined in file/numbering/level.ts:156

  #### Returns Level

### spacing

- spacing(params: ISpacingProperties): Level

- Inherited from LevelBase.spacing

  - Defined in file/numbering/level.ts:243

  #### Parameters

  - ##### params: ISpacingProperties

  #### Returns Level

### strike

- strike(): Level

- Inherited from LevelBase.strike

  - Defined in file/numbering/level.ts:166

  #### Returns Level

### subScript

- subScript(): Level

- Inherited from LevelBase.subScript

  - Defined in file/numbering/level.ts:176

  #### Returns Level

### superScript

- superScript(): Level

- Inherited from LevelBase.superScript

  - Defined in file/numbering/level.ts:181

  #### Returns Level

### thematicBreak

- thematicBreak(): Level

- Inherited from LevelBase.thematicBreak

  - Defined in file/numbering/level.ts:223

  #### Returns Level

### underline

- underline(underlineType?: undefined | string, color?: undefined | string): Level

- Inherited from LevelBase.underline

  - Defined in file/numbering/level.ts:186

  #### Parameters

  - ##### Optional underlineType: undefined | string

  - ##### Optional color: undefined | string

  #### Returns Level

Generated using TypeDoc